# salt.modules.openstack_config

Modify, retrieve, or delete values from OpenStack configuration files.

maintainer:

  Jeffrey C. Ollie <jeff@ocjtech.us>

maturity:

  new

depends:

platform:

  linux

salt.modules.openstack_config.delete(filename, section, parameter)

  Delete a value from an OpenStack configuration file.

  filename

    The full path to the configuration file

  section

    The section from which to delete the parameter

  parameter

    The parameter to delete

  CLI Example:

      salt-call openstack_config.delete /etc/keystone/keystone.conf sql connection

salt.modules.openstack_config.get(filename, section, parameter)

  Get a value from an OpenStack configuration file.

  filename

    The full path to the configuration file

  section

    The section from which to search for the parameter

  parameter

    The parameter to return

  CLI Example:

      salt-call openstack_config.get /etc/keystone/keystone.conf sql connection

salt.modules.openstack_config.set_(filename, section, parameter, value)

  Set a value in an OpenStack configuration file.

  filename

    The full path to the configuration file

  section

    The section in which the parameter will be set

  parameter

    The parameter to change

  value

    The value to set

  CLI Example:

      salt-call openstack_config.set /etc/keystone/keystone.conf sql connection foo